Secrets of Toanium - Bug #322

Adding the same tile to a map more than once throws an exception
12/19/2023 06:05 PM - Administrator Administrator

Status: Closed Start date: 12/19/2023
Priority: Normal Due date:

Assignee: Jay Gischer % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

The Map Editor just goes blank if | choose the same tile more than once.

1. It should not die, even if something is not supported.
2. We should be able to have the "same" tile more than once in a map

History

#1 - 02/29/2024 08:51 PM - Administrator Administrator

- Assignee changed from Jay Gischer to Frank Fernandez

| don't even know if this still breaks, but I'm reassigning to Frank to check it out.

#2 - 03/19/2024 10:02 PM - Frank Fernandez
- Status changed from New to Resolved
- Assignee changed from Frank Fernandez to Jay Gischer

- % Done changed from 0 to 100

The tile loader/preloader wasn't checking to see if the image being added to the cache was already there or not, should be fixed now. Weird that Pixi
considers that grounds for throwing an error instead of just not performing a redundant operation, though.

#3 - 09/20/2024 06:26 PM - Joanna Winter

- Status changed from Resolved to Closed

Pushed with 0.26.0
